//
//  HelloWorldLayer.m
//  BitizenExample
//
//  Created by Andrea Magini on 19/02/13.
//  Copyright __MyCompanyName__ 2013. All rights reserved.
//


// Import the interfaces
#import "HelloWorldLayer.h"

// HelloWorldLayer implementation
@implementation HelloWorldLayer

+(CCScene *) scene
{
	// 'scene' is an autorelease object.
	CCScene *scene = [CCScene node];
	
	// 'layer' is an autorelease object.
	HelloWorldLayer *layer = [HelloWorldLayer node];
	
	// add layer as a child to scene
	[scene addChild: layer];
	
	// return the scene
	return scene;
}

// on "init" you need to initialize your instance
-(id) init
{
	// always call "super" init
	// Apple recommends to re-assign "self" with the "super" return value
	if( (self=[super init])) {
		
		// create and initialize a Label
		CCLabelTTF *label = [CCLabelTTF labelWithString:@"Bitizen test by Kiraya" fontName:@"Marker Felt" fontSize:24];

		// ask director the the window size
		CGSize size = [[CCDirector sharedDirector] winSize];
        label.anchorPoint = ccp(0,1);
		// position the label on the center of the screen
		label.position =  ccp( 10 , size.height-label.contentSize.height);
		
        
        CCLabelTTF *label2 = [CCLabelTTF labelWithString:@"http://www.metalide.com" fontName:@"Marker Felt" fontSize:16];
        label2.anchorPoint= ccp(0,1);
        label2.position = ccp(size.width/2,0+label2.contentSize.height);
        CCSprite *background = [CCSprite spriteWithFile:@"09_background169.png"];
		
        [background setAnchorPoint:ccp(0,0)];
        float scaleFactor =1/(background.contentSize.height/size.height);
        background.scale = scaleFactor;
        [background.texture setAliasTexParameters];
        [self addChild:background];
        
        // add the label as a child to this Layer
		[self addChild: label];
        [self addChild: label2];
        
        double bitizenScaleFactor = 2.0;
        int posY = 120;
        MyBitizen *bitizen1 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:100 withPositionY:posY];
        
        [bitizen1 showHat:YES];
        [self addChild:bitizen1];
        
        
        MyBitizen *bitizen2 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:150 withPositionY:posY];
        [bitizen2 setSuite:2];
        [bitizen2 showShirt:NO];
        [self addChild:bitizen2];
        
        MyBitizen *bitizen3 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:200 withPositionY:posY];
        
        [bitizen3 setFemale:YES];
        [bitizen3 showGlasses:YES];
        [self addChild:bitizen3];
        
        MyBitizen *bitizen4 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:250 withPositionY:posY];
        [bitizen4 setSuite:1];
        [self addChild:bitizen4];

        MyBitizen *bitizen5 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:300 withPositionY:posY];
        [bitizen5 showHat:NO];
        [self addChild:bitizen5];

        MyBitizen *bitizen6 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:350 withPositionY:posY];
        [bitizen6 setSuite:3];
        [bitizen6 setFemale:YES];
        [self addChild:bitizen6];
        
        MyBitizen *bitizen7 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:400 withPositionY:posY];
        [bitizen7 showHat:YES];
        [bitizen7 showGlasses:YES];        
        [self addChild:bitizen7];

        MyBitizen *bitizen8 =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:450 withPositionY:posY];
        [bitizen8 showHat:NO];
        [bitizen8 showGlasses:NO];
        [bitizen8 setFemale:YES];
        [self addChild:bitizen8];

        for (int i =0; i<10; i++) {
            int xpos = arc4random() %600 +20;
            MyBitizen *bitizenX =[[MyBitizen alloc]initWithScaleFactor:bitizenScaleFactor withPositionX:xpos withPositionY:posY];
            [bitizenX showHat:CCRANDOM_0_1()<0.5f];
            [bitizenX showGlasses:CCRANDOM_0_1()<0.5f];
            [bitizenX setFemale:CCRANDOM_0_1()<0.5f];
            [self addChild:bitizenX];
        }
        
	}
	return self;
}

// on "dealloc" you need to release all your retained objects
- (void) dealloc
{
	// in case you have something to dealloc, do it in this method
	// in this particular example nothing needs to be released.
	// cocos2d will automatically release all the children (Label)
	
	// don't forget to call "super dealloc"
	[super dealloc];
}
@end
