//
//  MyBitizen.h
//  BitizenExample
//
//  Created by Andrea Magini on 21/02/13.
//
//

#import "cocos2d.h"
#import "CCSprite.h"
typedef enum {
    BitizenTags_hair=1,
    BitizenTags_head=2,
    BitizenTags_eyes=3,
    BitizenTags_shirt=4,
    BitizenTags_pants=5,
    BitizenTags_shoes=6,
    BitizenTags_glasses=7,
    BitizenTags_hat=8,
    BitizenTags_suite=100
} BitizenTags;

@interface MyBitizen : CCNode
{
    float scaleFactor;
    int startSpriteX;
    int startSpriteY;
    CCSprite *eyes;    
}

-(id) initWithScaleFactor:(float)pScaleFactor withPositionX:(int)positionX withPositionY:(int)positionY;
-(void)showSuite:(BOOL)flag;
-(void)showShirt:(BOOL)flag;
-(void)showGlasses:(BOOL)flag;
-(void)showHat:(BOOL)flag;
-(void)setSuite:(int)suiteId;
-(void)setFemale:(BOOL)flag;


@end
